#ifndef ZOOMEDIT_GUI_RENDERAREA_H_
#define ZOOMEDIT_GUI_RENDERAREA_H_

#include <gtkmm/drawingarea.h>
#include <libglademm/xml.h>
#include <gtk/gtkgl.h>

namespace ZoomEdit {
namespace Gui {

class RenderArea : public Gtk::DrawingArea {
  public:
    RenderArea(BaseObjectType *cobject, const Glib::RefPtr<Gnome::Glade::Xml> &xml);
    virtual ~RenderArea();
  
  private:
    static GdkGLConfig *glconfig;
    
    void onRealize();
};

}
}

#endif /*ZOOMEDIT_GUI_RENDERAREA_H_*/
